/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34980A.h"


/// <summary>
/// Disables or enables the inclusion of alarm information with data retrieved by
/// the READ? command, the FETCh? command, or other queries of scan results.
/// </summary>
/// <remarks>
/// For the measurement function interfaces that have Configure and Measure methods
/// (examples: ACVoltage, DCCurrent, Frequency, Period, etc.) both the Configure
/// method and the Measure method on those interfaces will automatically set all
/// the data formats to the disabled state
/// </remarks>
/// <returns>
///	
/// </returns>
/// <param name="EnableAlarm">
///	Disables or enables the inclusion of alarm information with data retrieved by
/// the READ? command, the FETCh? command, or other queries of scan results.
/// </param>
/// <param name="EnableChannel">
///	Disables or enables the inclusion of channel number information with data retrieved
/// by the READ? command, the FETCh? command, or other queries of scan results.
/// </param>
/// <param name="EnableTime">
///	Disables or enables the inclusion of a time stamp with data retrieved by the
/// READ? command, the FETCh? command, or other queries of scan results.
/// </param>
/// <param name="TimeType">
///	Selects the time format for storing scanned data in memory. You can select absolute
/// time (time of day with date) or relative time (time since start of scan)
/// </param>
/// <param name="EnableUnit">
///	Disables or enables the inclusion of measurement units (VAC, VDC, OHM, etc.)
/// with data retrieved by the READ? command, the FETCh? command, or other queries
/// of scan results.
/// </param>
HRESULT Agilent34980A::IAgilent34980ADataFormat_Configure(VARIANT_BOOL EnableAlarm, VARIANT_BOOL EnableChannel, VARIANT_BOOL EnableTime, Agilent34980ATimeOffsetEnum TimeType, VARIANT_BOOL EnableUnit)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of alarm information with the data retrieved.
/// </summary>
/// <remarks>
///	Disables or enables the inclusion of channel number information with the data retrieved.
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_get_AlarmEnable(VARIANT_BOOL* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandBool(Val);

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of alarm information with the data retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_put_AlarmEnable(VARIANT_BOOL Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of channel number information with the data retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_get_ChannelEnable(VARIANT_BOOL* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandBool(Val);

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of channel number information with data the retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_put_ChannelEnable(VARIANT_BOOL Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of a time stamp with the data retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_get_TimeEnable(VARIANT_BOOL* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandBool(Val);

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of a time stamp with the data retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_put_TimeEnable(VARIANT_BOOL Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


/// <summary>
///	Selects the time format for storing scanned data in memory. You can select absolute
/// time (time of day with date) or relative time (time since start of scan).
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_get_TimeType(Agilent34980ATimeOffsetEnum* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandEnum(Val);

	return hr;
}


/// <summary>
///	Selects the time format for storing scanned data in memory. You can select absolute
/// time (time of day with date) or relative time (time since start of scan).
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_put_TimeType(Agilent34980ATimeOffsetEnum val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of measurement units (VAC, VDC, OHM, etc.) with the data retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_get_UnitEnable(VARIANT_BOOL* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommandBool(Val);

	return hr;
}

/// <summary>
///	Disables or enables the inclusion of measurement units (VAC, VDC, OHM, etc.) with the data retrieved.
/// </summary>
/// <remarks>
///	
/// </remarks>
HRESULT Agilent34980A::IAgilent34980ADataFormat_put_UnitEnable(VARIANT_BOOL Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


